package com.ecep.contract.util;

import java.util.concurrent.CompletableFuture;

import com.ecep.contract.service.SysConfService;

public interface ConfigBounder {

    void setConfService(SysConfService confService);

    void initialize();

    CompletableFuture<Void> runAsync(Runnable runnable);

    SysConfService getConfService();

}